---
title: tools

---

# tools



## Classes

|                | Name           |
| -------------- | -------------- |
| class | **[tools::json_binary_proxy](Classes/classtools_1_1json__binary__proxy.md)**  |
| struct | **[tools::type_list](Classes/structtools_1_1type__list.md)**  |

## Functions

|                | Name           |
| -------------- | -------------- |
| void | **[load_binary_parameter_impl](Namespaces/namespacetools.md#function-load-binary-parameter-impl)**(std::string_view bytes, size_t raw_size, bool allow_raw, uint8_t * val_data) |
| template <typename T ,typename  =std::enable_if_t<json_is_binary<T>>\> <br>void | **[load_binary_parameter](Namespaces/namespacetools.md#function-load-binary-parameter)**(std::string_view bytes, bool allow_raw, T & val) |

## Attributes

|                | Name           |
| -------------- | -------------- |
| constexpr bool | **[json_is_binary](Namespaces/namespacetools.md#variable-json-is-binary)**  |
| constexpr bool | **[json_is_binary_container](Namespaces/namespacetools.md#variable-json-is-binary-container)**  |
| constexpr bool | **[json_is_binary< const T & >](Namespaces/namespacetools.md#variable-json-is-binary<-const-t-&->)**  |
| constexpr bool | **[json_is_binary< T && >](Namespaces/namespacetools.md#variable-json-is-binary<-t-&&->)**  |
| constexpr bool | **[json_is_binary_container< const T & >](Namespaces/namespacetools.md#variable-json-is-binary-container<-const-t-&->)**  |
| constexpr bool | **[json_is_binary_container< T && >](Namespaces/namespacetools.md#variable-json-is-binary-container<-t-&&->)**  |


## Functions Documentation

### function load_binary_parameter_impl

```cpp
void load_binary_parameter_impl(
    std::string_view bytes,
    size_t raw_size,
    bool allow_raw,
    uint8_t * val_data
)
```


### function load_binary_parameter

```cpp
template <typename T ,
typename  =std::enable_if_t<json_is_binary<T>>>
void load_binary_parameter(
    std::string_view bytes,
    bool allow_raw,
    T & val
)
```



## Attributes Documentation

### variable json_is_binary

```cpp
constexpr bool json_is_binary = false;
```


### variable json_is_binary_container

```cpp
constexpr bool json_is_binary_container = false;
```


### variable json_is_binary< const T & >

```cpp
constexpr bool json_is_binary< const T & > = json_is_binary<T>;
```


### variable json_is_binary< T && >

```cpp
constexpr bool json_is_binary< T && > = json_is_binary<T>;
```


### variable json_is_binary_container< const T & >

```cpp
constexpr bool json_is_binary_container< const T & > = json_is_binary_container<T>;
```


### variable json_is_binary_container< T && >

```cpp
constexpr bool json_is_binary_container< T && > = json_is_binary_container<T>;
```





-------------------------------

Updated on 2023-01-18 at 23:51:37 +0000